Package org.gradle.plugins.ide.eclipse.model

# Class Jdt

java.lang.Object
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
org.gradle.plugins.ide.eclipse.model.Jdt

All Implemented Interfaces:
  `org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject`

public class Jdt extends org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject
Represents the Eclipse JDT settings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Jdt(org.gradle.api.internal.PropertiesTransformer transformer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDefaultResourceName()`
  `protected void`
  `load(Properties properties)`
  `void`
  `setSourceCompatibility(JavaVersion sourceCompatibility)`
  Sets the source compatibility for the compiler.
  `void`
  `setTargetCompatibility(JavaVersion targetCompatibility)`
  Sets the target compatibility for the compiler.
  `protected void`
  `store(Properties properties)`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject

  `load, store, transformAction, transformAction`

  ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

  `load, loadDefaults, store`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Jdt

    public Jdt(org.gradle.api.internal.PropertiesTransformer transformer)

- ## Method Details

  - ### setSourceCompatibility

    public void setSourceCompatibility(JavaVersion sourceCompatibility)
    Sets the source compatibility for the compiler.

  - ### setTargetCompatibility

    public void setTargetCompatibility(JavaVersion targetCompatibility)
    Sets the target compatibility for the compiler.

  - ### getDefaultResourceName

    protected String getDefaultResourceName()
    Specified by:
      `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

  - ### load

    protected void load(Properties properties)
    Specified by:
      `load` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`

  - ### store

    protected void store(Properties properties)
    Specified by:
      `store` in class `org.gradle.plugins.ide.internal.generator.PropertiesPersistableConfigurationObject`